Latest Symfony Composer dependency list for bootstrapping new Symfony bundle with most common bundles

Most Symfony sites you develop will probably include the FOS User Bundle, Twitter Bootstrap, and JQuery.  You can always remove them from your Composer dependency list, but here is my latest “Symfony Bootstrap” install.

A few issues with dependencies in your Composer are expected, I ran into this error while installing the Sonata Admin Bundle, figuring I should update everything to latest stable releases:

https://github.com/doctrine/DoctrineBundle/issues/382

Here’s my current composer.json dependency list that’s working at this moment:

Sometimes, you go with the newest then have to ratchet back a few versions of items in your dependency packages that, well, despite the purpose of dependency packages there are glitches in the dependencies that are overlooked.

Aaron Belchamber has written 243 articles

Leave a Reply

Your email address will not be published. Required fields are marked *